Bug 107543 - Video cutout on Kaby Lake U processors.
Summary: Video cutout on Kaby Lake U processors.
Status: NEEDINFO
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Anshuman Gupta
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks: 105980
  Show dependency treegraph
 
Reported: 2018-08-10 11:28 UTC by phil.smith
Modified: 2018-12-07 08:14 UTC (History)
6 users (show)

See Also:
i915 platform: KBL
i915 features: display/watermark


Attachments
dmesg with debug (64.24 KB, text/plain)
2018-08-10 14:18 UTC, Dan Booker
no flags Details
i915_display_info (5.38 KB, text/plain)
2018-08-10 14:19 UTC, Dan Booker
no flags Details
dmesg at drm tip (602.29 KB, text/plain)
2018-08-15 09:59 UTC, Dan Booker
no flags Details
display info at drm tip (6.68 KB, text/plain)
2018-08-15 10:00 UTC, Dan Booker
no flags Details
dmesg with correct firmware (447.52 KB, text/plain)
2018-08-21 15:05 UTC, Dan Booker
no flags Details
display info with correct firmware (6.11 KB, text/plain)
2018-08-21 15:09 UTC, Dan Booker
no flags Details
dmesg with no parameters (253.35 KB, text/plain)
2018-08-29 09:00 UTC, Dan Booker
no flags Details
display info with no parameters (6.52 KB, text/plain)
2018-08-29 09:01 UTC, Dan Booker
no flags Details
dmesg with patches (559.98 KB, text/plain)
2018-08-29 10:56 UTC, Dan Booker
no flags Details
display info with patches (6.65 KB, text/plain)
2018-08-29 10:57 UTC, Dan Booker
no flags Details
dmesg output following a failure using the 4.18 drm-intel kernel and i915_ipc_status = 0 (set manually following boot). (894.35 KB, text/plain)
2018-10-04 08:53 UTC, phil.smith
no flags Details
dmesg output following testing with i915_pri_wm_latency set as advised. (1006.68 KB, text/plain)
2018-10-05 14:48 UTC, phil.smith
no flags Details
Increase WM by 20% for 4K display (1.95 KB, application/mbox)
2018-10-09 11:02 UTC, Mahesh Kumar
no flags Details
Dmesg output with debug after latest patch applied (373.90 KB, text/plain)
2018-12-04 16:22 UTC, Jack Vickeridge
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description phil.smith 2018-08-10 11:28:41 UTC
We have been looking at 2 devices, one with i3-7100U and one with Celeron 3965U,  and both will occasionally stop displaying video entirely (but will still be running, i.e. ping-able, can SSH to them etc...) when running our CPU heavy code or even just sitting at the (Wayland or X.org) desktop. It seems to occur more frequently when the system is under high CPU/GPU load. We believe the error is:

[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

The error manifests itself sometimes within minutes of booting, other times within hours and sometimes within days.

We are running Debian stable (stretch 9.5) and have tried the default kernel (4.9.0-6-amd64) and the latest kernel from backports (4.16.0-0.bpo.1-amd64 and 4.17.0-0.bpo.1-amd64).

Things we have tried:
- Updating to the latest DMC firmware:
$ ls -l /lib/firmware/i915/kbl_dmc*
lrwxrwxrwx 1 root root   19 Aug  7 17:49 /lib/firmware/i915/kbl_dmc_ver1.bin -> kbl_dmc_ver1_04.bin
-rw-r--r-- 1 root root 8840 Aug  7 17:49 /lib/firmware/i915/kbl_dmc_ver1_04.bin
$ md5sum /lib/firmware/i915/kbl_dmc*
924d401952828c04fce352291559a1e0  /lib/firmware/i915/kbl_dmc_ver1.bin
924d401952828c04fce352291559a1e0  /lib/firmware/i915/kbl_dmc_ver1_04.bin
- Booting with 'intel_iommu=off'.
- Booting with 'i915.enable_fbc=0'. Anecdotally, this seems to improve the issue but not resolve it.

Rebooting either device resolves the issue.

Intel Premier Support has redirected us to post a bug report here.
Comment 1 Chris Wilson 2018-08-10 12:20:00 UTC
What are the screen configurations?

E.g. attach the output of 'cat /sys/kernel/debug/dri/0/i915_display_info' at the time of the underrun.

If you can attach an example boot dmesg (just so we can double check for any hw quirks) with bonus points for capturing the underrun dmesg with drm.debug=0xe.
Comment 2 Dan Booker 2018-08-10 13:18:04 UTC
(In reply to Chris Wilson from comment #1)
> What are the screen configurations?
> 
> E.g. attach the output of 'cat /sys/kernel/debug/dri/0/i915_display_info' at
> the time of the underrun.
> 
> If you can attach an example boot dmesg (just so we can double check for any
> hw quirks) with bonus points for capturing the underrun dmesg with
> drm.debug=0xe.
Comment 3 Jani Saarinen 2018-08-10 14:11:09 UTC
(In reply to Dan Booker from comment #2)
> (In reply to Chris Wilson from comment #1)
> > What are the screen configurations?
> > 
> > E.g. attach the output of 'cat /sys/kernel/debug/dri/0/i915_display_info' at
> > the time of the underrun.
> > 
> > If you can attach an example boot dmesg (just so we can double check for any
> > hw quirks) with bonus points for capturing the underrun dmesg with
> > drm.debug=0xe.

Dan, was you supposed to paste some here?
Comment 4 Dan Booker 2018-08-10 14:18:40 UTC
Created attachment 141036 [details]
dmesg with debug

dmesg with drm.debug=0xe from boot until underrun
Comment 5 Dan Booker 2018-08-10 14:19:28 UTC
Created attachment 141037 [details]
i915_display_info

output of 'cat /sys/kernel/debug/dri/0/i915_display_info' at the time of the underrun
Comment 6 Dan Booker 2018-08-10 14:21:46 UTC
Hello, I am a colleague of Phil's working on this bug.

Apologies for the phantom quote message. I'm not sure what happened there.
I have attached the requested information from one of the Celeron boards.

Dan
Comment 7 Jani Saarinen 2018-08-13 09:30:15 UTC
Could you also try using latest drm-tip: https://cgit.freedesktop.org/drm-tip and again send same error logs from start to problem and attach logs as plain text here?
Comment 8 Dan Booker 2018-08-14 09:08:34 UTC
(In reply to Jani Saarinen from comment #7)
> Could you also try using latest drm-tip:
> https://cgit.freedesktop.org/drm-tip and again send same error logs from
> start to problem and attach logs as plain text here?

Hi,

I have tried to install latest drm-tip following instructions here: https://01.org/linuxgraphics/documentation/build-guide-0

However when I boot into the new kernel I lose all network and USB so I can't really reproduce the bug or get any logs.
Comment 9 Daniel Vetter 2018-08-14 13:33:40 UTC
Boot working kernel, run

$ make localmodconfig

accept any questions with the default choice, recompile & install. This should give you a working kernel.

If not, copy the full config from your distro's latest kernel over to your kernel src directory (file is called .config in the build) and use that as the starting point.
Comment 10 Dan Booker 2018-08-15 09:59:27 UTC
Created attachment 141100 [details]
dmesg at drm tip

dmesg output with drm debug and drm-tip installed from boot up until error.
Comment 11 Dan Booker 2018-08-15 10:00:31 UTC
Created attachment 141101 [details]
display info at drm tip

output of 'cat /sys/kernel/debug/dri/0/i915_display_info' at the time of the underrun with drm-tip installed
Comment 12 Jani Saarinen 2018-08-16 10:49:54 UTC
Not necessarily related but can you make sure you have all fw in place:
[Wed Aug 15 10:27:38 2018] i915 0000:00:02.0: Direct firmware load for i915/kbl_dmc_ver1_04.bin failed with error -2
[Wed Aug 15 10:27:38 2018] i915 0000:00:02.0: Failed to load DMC firmware i915/kbl_dmc_ver1_04.bin. Disabling runtime power management.
[Wed Aug 15 10:27:38 2018] i915 0000:00:02.0: DMC firmware homepage: https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/tree/i915
Comment 13 Dan Booker 2018-08-21 07:47:49 UTC
I have installed the latest firmware and the error still occurs. Would you like a new dmesg/display info?
Comment 14 Jani Saarinen 2018-08-21 10:20:24 UTC
Yes, please do so, thanks.
Comment 15 Dan Booker 2018-08-21 15:05:51 UTC
Created attachment 141217 [details]
dmesg with correct firmware
Comment 16 Dan Booker 2018-08-21 15:09:33 UTC
Created attachment 141218 [details]
display info with correct firmware

Note that in this case the screen recovered after around 10 mins of being black but displayed at 1080p instead of 2160p (native).
Comment 17 Dan Booker 2018-08-28 15:20:40 UTC
Hello,

I was wondering if there was an news on this bug? From our own research this appears to be quite a common issue with no clear resolution.

In addition to what was previously mentioned we have tried booting with 'i915.enable_psr=0' which seems to significantly decrease the frequency of the error but not resolve it completely.

Dan
Comment 18 Rodrigo Vivi 2018-08-28 19:47:43 UTC
Hi Dan,

The i915.enable_psr=0 is not doing anything actually. First because PSR is an eDP only feature and you have no eDP, according to your display_info. But also becuase i915.enable_psr=0 is no op because i915.enable_psr defaults to 0 anyways by default in all current platforms.

Maybe it was the fbc the one you thought it is helping. But anyways, if you still see the issue with that =0 it is only masking the real issue. So could you please retest latest drm-tip without any modified parameter?

Also, question, how many memory do you have on your system?
I wonder if this series would help you: https://patchwork.freedesktop.org/series/46481/

Also, what is the CPU/GPU load that you are using? Media? 3D?
Comment 19 Dan Booker 2018-08-29 09:00:57 UTC
Created attachment 141336 [details]
dmesg with no parameters
Comment 20 Dan Booker 2018-08-29 09:01:22 UTC
Created attachment 141337 [details]
display info with no parameters
Comment 21 Dan Booker 2018-08-29 09:16:05 UTC
(In reply to Rodrigo Vivi from comment #18)
> Hi Dan,
> 
> The i915.enable_psr=0 is not doing anything actually. First because PSR is
> an eDP only feature and you have no eDP, according to your display_info. But
> also becuase i915.enable_psr=0 is no op because i915.enable_psr defaults to
> 0 anyways by default in all current platforms.
> 
> Maybe it was the fbc the one you thought it is helping. But anyways, if you
> still see the issue with that =0 it is only masking the real issue. So could
> you please retest latest drm-tip without any modified parameter?
> 
> Also, question, how many memory do you have on your system?
> I wonder if this series would help you:
> https://patchwork.freedesktop.org/series/46481/
> 
> Also, what is the CPU/GPU load that you are using? Media? 3D?

See above for output with drm-tip and no parameters set.

On the Celeron system I'm currently using I have a single stick of 4GB DDR4-2133
but we also see the error on the i3 system with 2 sticks of 4GB DDR4-2133.

The easiest way to trigger the error is to create high CPU load by rebuilding a linux kernel using make. However the error has also occurred when the system is idling. Our intended load is using the CPU to decode a video stream and GPU to display it a 2160p which can also trigger the issue.

I will take a look at the suggested patch.

Dan
Comment 22 Dan Booker 2018-08-29 10:56:53 UTC
Created attachment 141343 [details]
dmesg with patches

Error still occurs with drm-tip and the suggested series of patches.
Comment 23 Dan Booker 2018-08-29 10:57:25 UTC
Created attachment 141344 [details]
display info with patches
Comment 24 phil.smith 2018-09-12 09:11:45 UTC
I believe we have only ever seen this issue whilst using 4k displays. Would it be helpful to provide model numbers?
Comment 25 Mahesh Kumar 2018-09-19 06:44:45 UTC
Hi,

Can you please help here to understand the issue little better.

Is only second monitor going blank or both the monitors are going blank?
I could see multiple hot-plug events and under-runs around those events, Is hot plug/un-plug is involved in test scenario or this is monitor/cable problem which is triggering hotplug?

Is it particular 4K monitor in which issue is reproducible or all 4K monitor are causing this issue. Can you please try with some other 4K monitor to see if issue is still reproducible.
Comment 26 phil.smith 2018-09-19 15:38:21 UTC
> I could see multiple hot-plug events and under-runs around those events, Is hot
> plug/un-plug is involved in test scenario or this is monitor/cable problem which
> is triggering hotplug?

We have seen the issue under a variety of different circumstances including:
- Kicking off a Linux kernel compile.
- Shortly after boot into Wayland/Weston.
- Wayland/Weston idling.
- After bringing a monitor out of standby.

I.e. Physical hot-plug/unplug are not specifically required to trigger the issue.

We have not been able find a reliable reproduction case and sometimes we can go over a week without a failure.

> Is it particular 4K monitor in which issue is reproducible or all 4K monitor are
> causing this issue. Can you please try with some other 4K monitor to see if
> issue is still reproducible.

The issue has been observed with at least three different 4k monitors (Eizo, Samsung and LG). We believe it has never occurred with a HD monitor.
Comment 27 phil.smith 2018-09-20 08:35:00 UTC
A little bit of extra context. This ticket was opened following a fairly lengthy back and forth in an Intel Premier Support ticket (00260143 - Video cutout on Kaby Lake U processors) where we were ultimately advised that this Bugzilla was a better place to follow up.

One current line of investigation for us is to try our board with a Sky Lake processor as we do not remember seeing this issue on our original Sky Lake reference board.
Comment 28 Mahesh Kumar 2018-09-20 11:08:08 UTC
Hi,

If issue is observed in specific processor, then I have few more questions.
What is the memory configuration used in KBL & SKL boards.

There were few known WA to solve potential fifo underrun issues,
Patches got merged for same recently.
Can you please make sure that following series is present, and tryout if issue is still reproducible.
https://patchwork.freedesktop.org/series/46481/

one of the major different between SKL and KBL is IPC, I would also like to check if issue is reproducible after disabling IPC. which can be done by writing 

#echo 0 > /sys/kernel/debug/dri/0/i915_ipc_status

In parallel I'll try to check if there is any known KBL specific WA missing.
Comment 29 phil.smith 2018-09-20 14:11:16 UTC
> What is the memory configuration used in KBL & SKL boards.

KBL board uses 2x SO-DIMM (8gb in total) DDR4, 2133/1866MHz, non-ECC unbuffered.

Not sure with regards to the SKL reference board.
Comment 30 phil.smith 2018-09-24 09:11:59 UTC
> Is only second monitor going blank or both the monitors are going blank?

From one of our developers:
My i3 board had a single underrun error on both pipe A and pipe B over the weekend. I had rebooted it on Thursday after removing the command line settings for i915.enable_psr and i915.enable_fbc.  There was another burst of pipe A errors when I turned on one of the monitors this morning. Both displayport outputs have stopped working.
[200443.554941] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[200443.555026] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe B FIFO underrun
 : : :
[319240.880577] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[319262.015158] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[319281.949569] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[319301.884045] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[319321.835242] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[319341.769694] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
Comment 31 phil.smith 2018-09-24 09:13:37 UTC
We are going to try with a new kernel built with series/46481 today.
Comment 32 phil.smith 2018-09-26 15:09:24 UTC
https://cgit.freedesktop.org/drm-intel/

commit 448626103dad54ec5d06722e955586b5d557625d
Author: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>
Date:   Fri Sep 21 12:26:37 2018 +0300

    drm/i915: Update DRIVER_DATE to 20180921
    
    Signed-off-by: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>

We have built and installed a kernel using the above source. We are running a .config which is pretty much the same as Debian Stretch's default .config.

On top of this is Debian Stretch running Wayland. We started a few terminals and a (high CPU load) software video decode.

After this was running for ~20 minutes we turned the monitor on and off a few times and observed a CPU pipe A FIFO underrun. The screen turned black and stayed that way for a few minutes before a further burst of CPU pipe A FIFO underrun saw the screen recover.
Comment 33 phil.smith 2018-09-26 15:28:13 UTC
The previous comment had the following configuration:

$ sudo cat /sys/kernel/debug/dri/0/i915_ipc_status
Isochronous Priority Control: no
Comment 34 phil.smith 2018-09-27 09:16:22 UTC
We have seen one more occurrence of the black screen, and like the last time it was seen on the drm-intel kernel, it recovered after a short while. This is different to running the default Debian Stretch kernel where it does not recover.

Now it recovers it is slightly harder to observe the error. :)

[ 1400.616629] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[ 1422.401223] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[ 1444.219104] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[ 1466.037044] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[ 1487.871609] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[ 1509.689495] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[ 1510.214766] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun
[ 1515.438784] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] ERROR CPU pipe A FIFO underrun

It is possibly a Wayland bug? We have only observed the black screen using Wayland/Weston with windows on screen.
Comment 35 Mahesh Kumar 2018-09-28 09:35:20 UTC
Hi,

As issue seems something to do with memory with high load or coming out of stand-by.
I would like to rule-out one more variable by disabling memory c-states.
which we can do by making WM latency 0 for level 1->7.

for making latency 0 please write following
#echo "2 0 0 0 0 0 0 0" > /sys/kernel/debug/dri/0/i915_pri_wm_latency

This will disable all the lower memory C-states except level-0,
rebooting system will restore default latency values.
If issue is due to lower memory c-states, above will make issue hard to reproduce (or not reproducible).

If this is helping with issue, we may need to get help from HW team for getting actual fix/WA for the issue.
If this is not helping we may need to start debugging in different direction.

Please attach complete dmesg logs for precious scenario comment#33 & #34 & this scenario as well :)
Comment 36 Lakshmi 2018-10-01 18:46:33 UTC
Phil, can you follow Mahesh instructions and attach logs?
Comment 37 phil.smith 2018-10-04 08:29:40 UTC
dmesg output following a failure using the 4.18 drm-intel kernel and i915_ipc_status = 0 (set manually following boot).

[    0.000000] Linux version 4.18.0-rc3 (eureka@eureka) (gcc version 6.3.0 20170516 (Debian 6.3.0-18+deb9u1)) #2 SMP Wed Sep 26 13:19:11 BST 2018
[    0.000000] Command line: BOOT_IMAGE=/vmlinuz root=/dev/sda2 ro quiet clean splash loglevel=3
[    0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x008: 'MPX bounds registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x010: 'MPX CSR'
[    0.000000] x86/fpu: xstate_offset[3]:  576, xstate_sizes[3]:   64
[    0.000000] x86/fpu: xstate_offset[4]:  640, xstate_sizes[4]:   64
[    0.000000] x86/fpu: Enabled xstate features 0x1b, context size is 704 bytes, using 'compacted' format.
[    0.000000] BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x0000000000057fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000000058000-0x0000000000058fff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000059000-0x000000000009efff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009f000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000008525efff] usable
[    0.000000] BIOS-e820: [mem 0x000000008525f000-0x000000008525ffff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x0000000085260000-0x0000000085260fff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000085261000-0x000000008c338fff] usable
[    0.000000] BIOS-e820: [mem 0x000000008c339000-0x000000008c79afff] reserved
[    0.000000] BIOS-e820: [mem 0x000000008c79b000-0x000000008c7d7fff] ACPI data
[    0.000000] BIOS-e820: [mem 0x000000008c7d8000-0x000000008cbb3fff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x000000008cbb4000-0x000000008cf70fff] reserved
[    0.000000] BIOS-e820: [mem 0x000000008cf71000-0x000000008cffefff] type 20
[    0.000000] BIOS-e820: [mem 0x000000008cfff000-0x000000008cffffff] usable
[    0.000000] BIOS-e820: [mem 0x000000008d000000-0x000000008fffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000efffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fe000000-0x00000000fe010fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed00000-0x00000000fed00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ff000000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000026dffffff] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] efi: EFI v2.60 by American Megatrends
[    0.000000] efi:  ACPI 2.0=0x8c7a7000  ACPI=0x8c7a7000  SMBIOS=0x8cef4000  SMBIOS 3.0=0x8cef3000  MPS=0xfcb10  ESRT=0x8b0dc498  MEMATTR=0x86a13418 
[    0.000000] SMBIOS 3.1.1 present.
[    0.000000] DMI: Default string ADD-KLU/Default string, BIOS 0002 07/12/2018
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] last_pfn = 0x26e000 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: write-back
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 00C0000000 mask 7FC0000000 uncachable
[    0.000000]   1 base 00A0000000 mask 7FE0000000 uncachable
[    0.000000]   2 base 0090000000 mask 7FF0000000 uncachable
[    0.000000]   3 base 008E000000 mask 7FFE000000 uncachable
[    0.000000]   4 base 008D800000 mask 7FFF800000 uncachable
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000]   8 disabled
[    0.000000]   9 disabled
[    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WP  UC- WT  
[    0.000000] last_pfn = 0x8d000 max_arch_pfn = 0x400000000
[    0.000000] found SMP MP-table at [mem 0x000fcd30-0x000fcd3f] mapped at [(____ptrval____)]
[    0.000000] esrt: Reserving ESRT space from 0x000000008b0dc498 to 0x000000008b0dc4d0.
[    0.000000] Base memory trampoline at [(____ptrval____)] 95000 size 24576
[    0.000000] Using GB pages for direct mapping
[    0.000000] BRK [0x1ce047000, 0x1ce047fff] PGTABLE
[    0.000000] BRK [0x1ce048000, 0x1ce048fff] PGTABLE
[    0.000000] BRK [0x1ce049000, 0x1ce049fff] PGTABLE
[    0.000000] BRK [0x1ce04a000, 0x1ce04afff] PGTABLE
[    0.000000] BRK [0x1ce04b000, 0x1ce04bfff] PGTABLE
[    0.000000] BRK [0x1ce04c000, 0x1ce04cfff] PGTABLE
[    0.000000] BRK [0x1ce04d000, 0x1ce04dfff] PGTABLE
[    0.000000] BRK [0x1ce04e000, 0x1ce04efff] PGTABLE
[    0.000000] BRK [0x1ce04f000, 0x1ce04ffff] PGTABLE
[    0.000000] Secure boot could not be determined
[    0.000000] RAMDISK: [mem 0x3538b000-0x369bcfff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x000000008C7A7000 000024 (v02 ALASKA)
[    0.000000] ACPI: XSDT 0x000000008C7A70B0 0000DC (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: FACP 0x000000008C7CDD90 000114 (v06 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: DSDT 0x000000008C7A7218 026B73 (v02 ALASKA A M I    01072009 INTL 20160422)
[    0.000000] ACPI: FACS 0x000000008CBB3F00 000040
[    0.000000] ACPI: APIC 0x000000008C7CDEA8 000068 (v03 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: FPDT 0x000000008C7CDF10 000044 (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: FIDT 0x000000008C7CDF58 00009C (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: MCFG 0x000000008C7CDFF8 00003C (v01 ALASKA A M I    01072009 MSFT 00000097)
[    0.000000] ACPI: SSDT 0x000000008C7CE038 0003A3 (v01 SataRe SataTabl 00001000 INTL 20160422)
[    0.000000] ACPI: SSDT 0x000000008C7CE3E0 003158 (v02 SaSsdt SaSsdt   00003000 INTL 20160422)
[    0.000000] ACPI: HPET 0x000000008C7D1538 000038 (v01 INTEL  KBL-ULT  00000001 MSFT 0000005F)
[    0.000000] ACPI: SSDT 0x000000008C7D1570 0011C0 (v02 INTEL  Ther_Rvp 00001000 INTL 20160422)
[    0.000000] ACPI: SSDT 0x000000008C7D2730 000024 (v02 INTEL  xh_OEMBD 00000000 INTL 20160422)
[    0.000000] ACPI: UEFI 0x000000008C7D2758 000042 (v01 ALASKA A M I    00000002      01000013)
[    0.000000] ACPI: SSDT 0x000000008C7D27A0 0017AE (v02 CpuRef CpuSsdt  00003000 INTL 20160422)
[    0.000000] ACPI: LPIT 0x000000008C7D3F50 000094 (v01 INTEL  KBL-ULT  00000000 MSFT 0000005F)
[    0.000000] ACPI: SSDT 0x000000008C7D3FE8 000141 (v02 INTEL  HdaDsp   00000000 INTL 20160422)
[    0.000000] ACPI: SSDT 0x000000008C7D4130 00029F (v02 INTEL  sensrhub 00000000 INTL 20160422)
[    0.000000] ACPI: SSDT 0x000000008C7D43D0 003002 (v02 INTEL  PtidDevc 00001000 INTL 20160422)
[    0.000000] ACPI: SSDT 0x000000008C7D73D8 000517 (v02 INTEL  TbtTypeC 00000000 INTL 20160422)
[    0.000000] ACPI: DBGP 0x000000008C7D78F0 000034 (v01 INTEL           00000002 MSFT 0000005F)
[    0.000000] ACPI: DBG2 0x000000008C7D7928 000054 (v00 INTEL           00000002 MSFT 0000005F)
[    0.000000] ACPI: DMAR 0x000000008C7D7980 0000F0 (v01 INTEL  EDK2     00000001 INTL 00000001)
[    0.000000] ACPI: BGRT 0x000000008C7D7A70 000038 (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: ASF! 0x000000008C7D7AA8 0000A0 (v32 INTEL   HCG     00000001 TFSM 000F4240)
[    0.000000] ACPI: WSMT 0x000000008C7D7B48 000028 (v01 ALASKA A M I    01072009 AMI  00010013)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000026dffffff]
[    0.000000] NODE_DATA(0) allocated [mem 0x26dffb000-0x26dffffff]
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.000000]   DMA32    [mem 0x0000000001000000-0x00000000ffffffff]
[    0.000000]   Normal   [mem 0x0000000100000000-0x000000026dffffff]
[    0.000000]   Device   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x0000000000057fff]
[    0.000000]   node   0: [mem 0x0000000000059000-0x000000000009efff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x000000008525efff]
[    0.000000]   node   0: [mem 0x0000000085261000-0x000000008c338fff]
[    0.000000]   node   0: [mem 0x000000008cfff000-0x000000008cffffff]
[    0.000000]   node   0: [mem 0x0000000100000000-0x000000026dffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x000000026dffffff]
[    0.000000] On node 0 totalpages: 2073301
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 27 pages reserved
[    0.000000]   DMA zone: 3997 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 8909 pages used for memmap
[    0.000000]   DMA32 zone: 570168 pages, LIFO batch:31
[    0.000000]   Normal zone: 23424 pages used for memmap
[    0.000000]   Normal zone: 1499136 pages, LIFO batch:31
[    0.000000] Reserved but unavailable: 15659 pages
[    0.000000] Reserving Intel graphics memory at [mem 0x8e000000-0x8fffffff]
[    0.000000] ACPI: PM-Timer IO Port: 0x1808
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
[    0.000000] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-119
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] smpboot: Allowing 2 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x00058000-0x00058fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x000fffff]
[    0.000000] PM: Registered nosave memory: [mem 0x8525f000-0x8525ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x85260000-0x85260fff]
[    0.000000] PM: Registered nosave memory: [mem 0x8c339000-0x8c79afff]
[    0.000000] PM: Registered nosave memory: [mem 0x8c79b000-0x8c7d7fff]
[    0.000000] PM: Registered nosave memory: [mem 0x8c7d8000-0x8cbb3fff]
[    0.000000] PM: Registered nosave memory: [mem 0x8cbb4000-0x8cf70fff]
[    0.000000] PM: Registered nosave memory: [mem 0x8cf71000-0x8cffefff]
[    0.000000] PM: Registered nosave memory: [mem 0x8d000000-0x8fffffff]
[    0.000000] PM: Registered nosave memory: [mem 0x90000000-0xdfffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xe0000000-0xefffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xf0000000-0xfdffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfe000000-0xfe010fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfe011000-0xfebfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec00000-0xfec00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfec01000-0xfecfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed00000-0xfed00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfed01000-0xfedfffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee00000-0xfee00fff]
[    0.000000] PM: Registered nosave memory: [mem 0xfee01000-0xfeffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xff000000-0xffffffff]
[    0.000000] [mem 0x90000000-0xdfffffff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645519600211568 ns
[    0.000000] random: get_random_bytes called from start_kernel+0x94/0x540 with crng_init=0
[    0.000000] setup_percpu: NR_CPUS:512 nr_cpumask_bits:512 nr_cpu_ids:2 nr_node_ids:1
[    0.000000] percpu: Embedded 44 pages/cpu @(____ptrval____) s142744 r8192 d29288 u1048576
[    0.000000] pcpu-alloc: s142744 r8192 d29288 u1048576 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 2040877
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: BOOT_IMAGE=/vmlinuz root=/dev/sda2 ro quiet clean splash loglevel=3
[    0.000000] Calgary: detecting Calgary via BIOS EBDA area
[    0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
[    0.000000] Memory: 8011668K/8293204K available (10252K kernel code, 1221K rwdata, 3200K rodata, 1552K init, 656K bss, 281536K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=2, Nodes=1
[    0.000000] Kernel/User page tables isolation: enabled
[    0.000000] ftrace: allocating 31052 entries in 122 pages
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=512 to nr_cpu_ids=2.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=2
[    0.000000] NR_IRQS: 33024, nr_irqs: 512, preallocated irqs: 16
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [tty0] enabled
[    0.000000] ACPI: Core revision 20180531
[    0.000000] clocksource: hpet: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 79635855245 ns
[    0.000000] hpet clockevent registered
[    0.004000] APIC: Switch to symmetric I/O mode setup
[    0.004000] DMAR: Host address width 39
[    0.004000] DMAR: DRHD base: 0x000000fed90000 flags: 0x0
[    0.004000] DMAR: dmar0: reg_base_addr fed90000 ver 1:0 cap 1c0000c40660462 ecap 19e2ff0505e
[    0.004000] DMAR: DRHD base: 0x000000fed91000 flags: 0x1
[    0.004000] DMAR: dmar1: reg_base_addr fed91000 ver 1:0 cap d2008c40660462 ecap f050da
[    0.004000] DMAR: RMRR base: 0x0000008c740000 end: 0x0000008c75ffff
[    0.004000] DMAR: RMRR base: 0x0000008d800000 end: 0x0000008fffffff
[    0.004000] DMAR: ANDD device: 7 name: \_SB.PCI0.SPI0
[    0.004000] DMAR: ANDD device: 9 name: \_SB.PCI0.UA00
[    0.004000] DMAR-IR: IOAPIC id 2 under DRHD base  0xfed91000 IOMMU 1
[    0.004000] DMAR-IR: HPET id 0 under DRHD base 0xfed91000
[    0.004000] DMAR-IR: Queued invalidation will be enabled to support x2apic and Intr-remapping.
[    0.004000] DMAR-IR: Enabled IRQ remapping in x2apic mode
[    0.004000] x2apic enabled
[    0.004000] Switched APIC routing to cluster x2apic.
[    0.008000] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.028000] tsc: Detected 2200.000 MHz processor
[    0.028000] tsc: Detected 2208.000 MHz TSC
[    0.028000] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x1fd3b81b95f, max_idle_ns: 440795257325 ns
[    0.028000] Calibrating delay loop (skipped), value calculated using timer frequency.. 4416.00 BogoMIPS (lpj=8832000)
[    0.028000] pid_max: default: 32768 minimum: 301
[    0.028000] Security Framework initialized
[    0.028000] Yama: becoming mindful.
[    0.028000] AppArmor: AppArmor initialized
[    0.028000] Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
[    0.028000] Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.028000] Mount-cache hash table entries: 16384 (order: 5, 131072 bytes)
[    0.028000] Mountpoint-cache hash table entries: 16384 (order: 5, 131072 bytes)
[    0.028000] CPU: Physical Processor ID: 0
[    0.028000] CPU: Processor Core ID: 0
[    0.028000] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[    0.028000] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[    0.028000] mce: CPU supports 8 MCE banks
[    0.028000] CPU0: Thermal monitoring enabled (TM1)
[    0.028000] process: using mwait in idle threads
[    0.028000] Last level iTLB entries: 4KB 128, 2MB 8, 4MB 8
[    0.028000] Last level dTLB entries: 4KB 64, 2MB 0, 4MB 0, 1GB 4
[    0.028000] Spectre V2 : Mitigation: Full generic retpoline
[    0.028000] Spectre V2 : Spectre v2 mitigation: Filling RSB on context switch
[    0.028000] Spectre V2 : Spectre v2 mitigation: Enabling Indirect Branch Prediction Barrier
[    0.028000] Spectre V2 : Enabling Restricted Speculation for firmware calls
[    0.028000] Speculative Store Bypass: Vulnerable
[    0.037444] Freeing SMP alternatives memory: 24K
[    0.039949] TSC deadline timer enabled
[    0.039953] smpboot: CPU0: Intel(R) Celeron(R) CPU 3965U @ 2.20GHz (family: 0x6, model: 0x8e, stepping: 0x9)
[    0.040000] Performance Events: PEBS fmt3+, Skylake events, 32-deep LBR, full-width counters, Intel PMU driver.
[    0.040000] ... version:                4
[    0.040000] ... bit width:              48
[    0.040000] ... generic registers:      8
[    0.040000] ... value mask:             0000ffffffffffff
[    0.040000] ... max period:             00007fffffffffff
[    0.040000] ... fixed-purpose events:   3
[    0.040000] ... event mask:             00000007000000ff
[    0.040000] Hierarchical SRCU implementation.
[    0.040000] smp: Bringing up secondary CPUs ...
[    0.040000] x86: Booting SMP configuration:
[    0.040000] .... node  #0, CPUs:      #1
[    0.040000] smp: Brought up 1 node, 2 CPUs
[    0.040000] smpboot: Max logical packages: 1
[    0.040000] smpboot: Total of 2 processors activated (8832.00 BogoMIPS)
[    0.040000] NMI watchdog: Enabled. Permanently consumes one hw-PMU counter.
[    0.040000] devtmpfs: initialized
[    0.040000] x86/mm: Memory block size: 128MB
[    0.040000] PM: Registering ACPI NVS region [mem 0x8525f000-0x8525ffff] (4096 bytes)
[    0.040000] PM: Registering ACPI NVS region [mem 0x8c7d8000-0x8cbb3fff] (4046848 bytes)
[    0.040000] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645041785100000 ns
[    0.040000] futex hash table entries: 512 (order: 3, 32768 bytes)
[    0.040000] pinctrl core: initialized pinctrl subsystem
[    0.040000] NET: Registered protocol family 16
[    0.040000] audit: initializing netlink subsys (disabled)
[    0.040000] audit: type=2000 audit(1538566835.036:1): state=initialized audit_enabled=0 res=1
[    0.040068] cpuidle: using governor ladder
[    0.040068] cpuidle: using governor menu
[    0.040068] ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
[    0.040068] ACPI: bus type PCI registered
[    0.040068] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.040088] PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
[    0.040090] PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in E820
[    0.040103] PCI: Using configuration type 1 for base access
[    0.040777] HugeTLB registered 1.00 GiB page size, pre-allocated 0 pages
[    0.040777] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[    0.040777] ACPI: Added _OSI(Module Device)
[    0.040777] ACPI: Added _OSI(Processor Device)
[    0.040777] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.040777] ACPI: Added _OSI(Processor Aggregator Device)
[    0.040777] ACPI: Added _OSI(Linux-Dell-Video)
[    0.083202] ACPI: 10 ACPI AML tables successfully acquired and loaded
[    0.093385] ACPI: Dynamic OEM Table Load:
[    0.093391] ACPI: SSDT 0xFFFF97DB6380F000 00060F (v02 PmRef  Cpu0Ist  00003000 INTL 20160422)
[    0.093882] ACPI: \_PR_.PR00: _OSC native thermal LVT Acked
[    0.095268] ACPI: Dynamic OEM Table Load:
[    0.095273] ACPI: SSDT 0xFFFF97DB63EB1C00 0003FF (v02 PmRef  Cpu0Cst  00003001 INTL 20160422)
[    0.095735] ACPI: Dynamic OEM Table Load:
[    0.095739] ACPI: SSDT 0xFFFF97DB63E916C0 0000BA (v02 PmRef  Cpu0Hwp  00003000 INTL 20160422)
[    0.096105] ACPI: Dynamic OEM Table Load:
[    0.096110] ACPI: SSDT 0xFFFF97DB6380A800 000628 (v02 PmRef  HwpLvt   00003000 INTL 20160422)
[    0.096838] ACPI: Dynamic OEM Table Load:
[    0.096846] ACPI: SSDT 0xFFFF97DB65118000 000D14 (v02 PmRef  ApIst    00003000 INTL 20160422)
[    0.097901] ACPI: Dynamic OEM Table Load:
[    0.097906] ACPI: SSDT 0xFFFF97DB63EB3800 000317 (v02 PmRef  ApHwp    00003000 INTL 20160422)
[    0.098381] ACPI: Dynamic OEM Table Load:
[    0.098385] ACPI: SSDT 0xFFFF97DB63EB2800 00030A (v02 PmRef  ApCst    00003000 INTL 20160422)
[    0.100610] ACPI: Interpreter enabled
[    0.100661] ACPI: (supports S0 S3 S4 S5)
[    0.100662] ACPI: Using IOAPIC for interrupt routing
[    0.100706] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.101648] ACPI: Enabled 6 GPEs in block 00 to 7F
[    0.125928] ACPI: Power Resource [FN00] (off)
[    0.126004] ACPI: Power Resource [FN01] (off)
[    0.126076] ACPI: Power Resource [FN02] (off)
[    0.126148] ACPI: Power Resource [FN03] (off)
[    0.126219] ACPI: Power Resource [FN04] (off)
[    0.127583] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-fe])
[    0.127589] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.127751] acpi PNP0A08:00: _OSC: platform does not support [PCIeHotplug PME]
[    0.127901] acpi PNP0A08:00: _OSC: OS now controls [AER PCIeCapability LTR]
[    0.127902] acpi PNP0A08:00: FADT indicates ASPM is unsupported, using BIOS configuration
[    0.128735] PCI host bridge to bus 0000:00
[    0.128738] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
[    0.128740] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.128742] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.128743] pci_bus 0000:00: root bus resource [mem 0x90000000-0xdfffffff window]
[    0.128745] pci_bus 0000:00: root bus resource [mem 0xfd000000-0xfe7fffff window]
[    0.128746] pci_bus 0000:00: root bus resource [bus 00-fe]
[    0.128756] pci 0000:00:00.0: [8086:5904] type 00 class 0x060000
[    0.129132] pci 0000:00:02.0: [8086:5906] type 00 class 0x030000
[    0.129147] pci 0000:00:02.0: reg 0x10: [mem 0xde000000-0xdeffffff 64bit]
[    0.129154] pci 0000:00:02.0: reg 0x18: [mem 0xc0000000-0xcfffffff 64bit pref]
[    0.129160] pci 0000:00:02.0: reg 0x20: [io  0xf000-0xf03f]
[    0.129179] pci 0000:00:02.0: BAR 2: assigned to efifb
[    0.129381] pci 0000:00:14.0: [8086:9d2f] type 00 class 0x0c0330
[    0.129407] pci 0000:00:14.0: reg 0x10: [mem 0xdf710000-0xdf71ffff 64bit]
[    0.129484] pci 0000:00:14.0: PME# supported from D3hot D3cold
[    0.129715] pci 0000:00:14.2: [8086:9d31] type 00 class 0x118000
[    0.129738] pci 0000:00:14.2: reg 0x10: [mem 0xdf730000-0xdf730fff 64bit]
[    0.129927] pci 0000:00:16.0: [8086:9d3a] type 00 class 0x078000
[    0.129953] pci 0000:00:16.0: reg 0x10: [mem 0xdf72f000-0xdf72ffff 64bit]
[    0.130013] pci 0000:00:16.0: PME# supported from D3hot
[    0.130218] pci 0000:00:17.0: [8086:9d03] type 00 class 0x010601
[    0.130238] pci 0000:00:17.0: reg 0x10: [mem 0xdf728000-0xdf729fff]
[    0.130246] pci 0000:00:17.0: reg 0x14: [mem 0xdf72e000-0xdf72e0ff]
[    0.130254] pci 0000:00:17.0: reg 0x18: [io  0xf090-0xf097]
[    0.130262] pci 0000:00:17.0: reg 0x1c: [io  0xf080-0xf083]
[    0.130270] pci 0000:00:17.0: reg 0x20: [io  0xf060-0xf07f]
[    0.130278] pci 0000:00:17.0: reg 0x24: [mem 0xdf72d000-0xdf72d7ff]
[    0.130321] pci 0000:00:17.0: PME# supported from D3hot
[    0.130490] pci 0000:00:1c.0: [8086:9d14] type 01 class 0x060400
[    0.130568] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.130767] pci 0000:00:1c.5: [8086:9d15] type 01 class 0x060400
[    0.130844] pci 0000:00:1c.5: PME# supported from D0 D3hot D3cold
[    0.131028] pci 0000:00:1c.6: [8086:9d16] type 01 class 0x060400
[    0.131107] pci 0000:00:1c.6: PME# supported from D0 D3hot D3cold
[    0.131383] pci 0000:00:1e.0: [8086:9d27] type 00 class 0x118000
[    0.131647] pci 0000:00:1e.0: reg 0x10: [mem 0xdf72c000-0xdf72cfff 64bit]
[    0.132695] pci 0000:00:1e.2: [8086:9d29] type 00 class 0x118000
[    0.132958] pci 0000:00:1e.2: reg 0x10: [mem 0xdf72b000-0xdf72bfff 64bit]
[    0.133943] pci 0000:00:1f.0: [8086:9d4e] type 00 class 0x060100
[    0.134199] pci 0000:00:1f.2: [8086:9d21] type 00 class 0x058000
[    0.134215] pci 0000:00:1f.2: reg 0x10: [mem 0xdf724000-0xdf727fff]
[    0.134400] pci 0000:00:1f.3: [8086:9d71] type 00 class 0x040300
[    0.134430] pci 0000:00:1f.3: reg 0x10: [mem 0xdf720000-0xdf723fff 64bit]
[    0.134457] pci 0000:00:1f.3: reg 0x20: [mem 0xdf700000-0xdf70ffff 64bit]
[    0.134509] pci 0000:00:1f.3: PME# supported from D3hot D3cold
[    0.134780] pci 0000:00:1f.4: [8086:9d23] type 00 class 0x0c0500
[    0.134840] pci 0000:00:1f.4: reg 0x10: [mem 0xdf72a000-0xdf72a0ff 64bit]
[    0.134910] pci 0000:00:1f.4: reg 0x20: [io  0xf040-0xf05f]
[    0.135213] pci 0000:01:00.0: [8086:1536] type 00 class 0x020000
[    0.135251] pci 0000:01:00.0: reg 0x10: [mem 0xdf400000-0xdf4fffff]
[    0.135280] pci 0000:01:00.0: reg 0x18: [io  0xe000-0xe01f]
[    0.135295] pci 0000:01:00.0: reg 0x1c: [mem 0xdf500000-0xdf503fff]
[    0.135336] pci 0000:01:00.0: reg 0x30: [mem 0xdf300000-0xdf3fffff pref]
[    0.135440] pci 0000:01:00.0: PME# supported from D0 D3hot D3cold
[    0.135533] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.135536] pci 0000:00:1c.0:   bridge window [io  0xe000-0xefff]
[    0.135539] pci 0000:00:1c.0:   bridge window [mem 0xdf300000-0xdf5fffff]
[    0.135631] pci 0000:02:00.0: [8086:1536] type 00 class 0x020000
[    0.135668] pci 0000:02:00.0: reg 0x10: [mem 0xdf100000-0xdf1fffff]
[    0.135696] pci 0000:02:00.0: reg 0x18: [io  0xd000-0xd01f]
[    0.135711] pci 0000:02:00.0: reg 0x1c: [mem 0xdf200000-0xdf203fff]
[    0.135752] pci 0000:02:00.0: reg 0x30: [mem 0xdf000000-0xdf0fffff pref]
[    0.135853] pci 0000:02:00.0: PME# supported from D0 D3hot D3cold
[    0.135945] pci 0000:00:1c.5: PCI bridge to [bus 02]
[    0.135948] pci 0000:00:1c.5:   bridge window [io  0xd000-0xdfff]
[    0.135951] pci 0000:00:1c.5:   bridge window [mem 0xdf000000-0xdf2fffff]
[    0.136041] pci 0000:03:00.0: [8086:1539] type 00 class 0x020000
[    0.136078] pci 0000:03:00.0: reg 0x10: [mem 0xdf600000-0xdf61ffff]
[    0.136105] pci 0000:03:00.0: reg 0x18: [io  0xc000-0xc01f]
[    0.136120] pci 0000:03:00.0: reg 0x1c: [mem 0xdf620000-0xdf623fff]
[    0.136260] pci 0000:03:00.0: PME# supported from D0 D3hot D3cold
[    0.136352] pci 0000:00:1c.6: PCI bridge to [bus 03]
[    0.136355] pci 0000:00:1c.6:   bridge window [io  0xc000-0xcfff]
[    0.136358] pci 0000:00:1c.6:   bridge window [mem 0xdf600000-0xdf6fffff]
[    0.137810] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 10 *11 12 14 15)
[    0.137865] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *10 11 12 14 15)
[    0.137919] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 10 *11 12 14 15)
[    0.137971] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 10 *11 12 14 15)
[    0.138022] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.138073] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.138123] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.138174] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.138690] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[    0.138690] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    0.138690] pci 0000:00:02.0: vgaarb: bridge control possible
[    0.138690] vgaarb: loaded
[    0.138690] pps_core: LinuxPPS API ver. 1 registered
[    0.138690] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    0.138690] PTP clock support registered
[    0.138690] EDAC MC: Ver: 3.0.0
[    0.138690] Registered efivars operations
[    0.148510] PCI: Using ACPI for IRQ routing
[    0.175469] PCI: pci_cache_line_size set to 64 bytes
[    0.175576] e820: reserve RAM buffer [mem 0x00058000-0x0005ffff]
[    0.175578] e820: reserve RAM buffer [mem 0x0009f000-0x0009ffff]
[    0.175579] e820: reserve RAM buffer [mem 0x8525f000-0x87ffffff]
[    0.175580] e820: reserve RAM buffer [mem 0x8c339000-0x8fffffff]
[    0.175581] e820: reserve RAM buffer [mem 0x8d000000-0x8fffffff]
[    0.175582] e820: reserve RAM buffer [mem 0x26e000000-0x26fffffff]
[    0.176133] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0, 0, 0, 0, 0
[    0.176138] hpet0: 8 comparators, 64-bit 24.000000 MHz counter
[    0.178184] clocksource: Switched to clocksource tsc-early
[    0.184696] VFS: Disk quotas dquot_6.6.0
[    0.184710] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.184812] AppArmor: AppArmor Filesystem Enabled
[    0.184828] pnp: PnP ACPI init
[    0.185114] system 00:00: [io  0x0a00-0x0a0f] has been reserved
[    0.185116] system 00:00: [io  0x0a10-0x0a1f] has been reserved
[    0.185121] system 00:00: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.185406] pnp 00:01: [dma 0 disabled]
[    0.185433] pnp 00:01: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.185605] system 00:02: [io  0x0680-0x069f] has been reserved
[    0.185607] system 00:02: [io  0xffff] has been reserved
[    0.185608] system 00:02: [io  0xffff] has been reserved
[    0.185610] system 00:02: [io  0xffff] has been reserved
[    0.185612] system 00:02: [io  0x1800-0x18fe] has been reserved
[    0.185613] system 00:02: [io  0x164e-0x164f] has been reserved
[    0.185617] system 00:02: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.185728] pnp 00:03: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.185763] system 00:04: [io  0x1854-0x1857] has been reserved
[    0.185767] system 00:04: Plug and Play ACPI device, IDs INT3f0d PNP0c02 (active)
[    0.186015] system 00:05: [mem 0xfed10000-0xfed17fff] has been reserved
[    0.186016] system 00:05: [mem 0xfed18000-0xfed18fff] has been reserved
[    0.186018] system 00:05: [mem 0xfed19000-0xfed19fff] has been reserved
[    0.186020] system 00:05: [mem 0xe0000000-0xefffffff] has been reserved
[    0.186021] system 00:05: [mem 0xfed20000-0xfed3ffff] has been reserved
[    0.186023] system 00:05: [mem 0xfed90000-0xfed93fff] could not be reserved
[    0.186025] system 00:05: [mem 0xfed45000-0xfed8ffff] has been reserved
[    0.186027] system 00:05: [mem 0xff000000-0xffffffff] has been reserved
[    0.186029] system 00:05: [mem 0xfee00000-0xfeefffff] could not be reserved
[    0.186030] system 00:05: [mem 0xdffe0000-0xdfffffff] has been reserved
[    0.186034] system 00:05: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.186076] system 00:06: [mem 0xfd000000-0xfdabffff] has been reserved
[    0.186078] system 00:06: [mem 0xfdad0000-0xfdadffff] has been reserved
[    0.186080] system 00:06: [mem 0xfdb00000-0xfdffffff] has been reserved
[    0.186082] system 00:06: [mem 0xfe000000-0xfe01ffff] could not be reserved
[    0.186084] system 00:06: [mem 0xfe036000-0xfe03bfff] has been reserved
[    0.186085] system 00:06: [mem 0xfe03d000-0xfe3fffff] has been reserved
[    0.186087] system 00:06: [mem 0xfe410000-0xfe7fffff] has been reserved
[    0.186090] system 00:06: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.186425] system 00:07: [io  0xff00-0xfffe] has been reserved
[    0.186428] system 00:07: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.187718] system 00:08: [mem 0xfe029000-0xfe029fff] has been reserved
[    0.187720] system 00:08: [mem 0xfe028000-0xfe028fff] has been reserved
[    0.187722] system 00:08: [mem 0xfdaf0000-0xfdafffff] has been reserved
[    0.187723] system 00:08: [mem 0xfdae0000-0xfdaeffff] has been reserved
[    0.187725] system 00:08: [mem 0xfdac0000-0xfdacffff] has been reserved
[    0.187728] system 00:08: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.188641] pnp: PnP ACPI: found 9 devices
[    0.194323] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.194350] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.194353] pci 0000:00:1c.0:   bridge window [io  0xe000-0xefff]
[    0.194358] pci 0000:00:1c.0:   bridge window [mem 0xdf300000-0xdf5fffff]
[    0.194365] pci 0000:00:1c.5: PCI bridge to [bus 02]
[    0.194367] pci 0000:00:1c.5:   bridge window [io  0xd000-0xdfff]
[    0.194371] pci 0000:00:1c.5:   bridge window [mem 0xdf000000-0xdf2fffff]
[    0.194378] pci 0000:00:1c.6: PCI bridge to [bus 03]
[    0.194380] pci 0000:00:1c.6:   bridge window [io  0xc000-0xcfff]
[    0.194384] pci 0000:00:1c.6:   bridge window [mem 0xdf600000-0xdf6fffff]
[    0.194391] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7 window]
[    0.194393] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff window]
[    0.194394] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff window]
[    0.194396] pci_bus 0000:00: resource 7 [mem 0x90000000-0xdfffffff window]
[    0.194397] pci_bus 0000:00: resource 8 [mem 0xfd000000-0xfe7fffff window]
[    0.194399] pci_bus 0000:01: resource 0 [io  0xe000-0xefff]
[    0.194400] pci_bus 0000:01: resource 1 [mem 0xdf300000-0xdf5fffff]
[    0.194402] pci_bus 0000:02: resource 0 [io  0xd000-0xdfff]
[    0.194403] pci_bus 0000:02: resource 1 [mem 0xdf000000-0xdf2fffff]
[    0.194405] pci_bus 0000:03: resource 0 [io  0xc000-0xcfff]
[    0.194406] pci_bus 0000:03: resource 1 [mem 0xdf600000-0xdf6fffff]
[    0.194555] NET: Registered protocol family 2
[    0.194687] tcp_listen_portaddr_hash hash table entries: 4096 (order: 4, 65536 bytes)
[    0.194714] TCP established hash table entries: 65536 (order: 7, 524288 bytes)
[    0.194821] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    0.194932] TCP: Hash tables configured (established 65536 bind 65536)
[    0.194959] UDP hash table entries: 4096 (order: 5, 131072 bytes)
[    0.194980] UDP-Lite hash table entries: 4096 (order: 5, 131072 bytes)
[    0.195025] NET: Registered protocol family 1
[    0.195040] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.195373] PCI: CLS 64 bytes, default 64
[    0.195406] Unpacking initramfs...
[    0.625590] Freeing initrd memory: 22728K
[    0.625653] DMAR: ACPI device "device:70" under DMAR at fed91000 as 00:1e.2
[    0.625657] DMAR: ACPI device "device:71" under DMAR at fed91000 as 00:1e.0
[    0.640064] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    0.640066] software IO TLB [mem 0x80084000-0x84084000] (64MB) mapped at [(____ptrval____)-(____ptrval____)]
[    0.640098] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x1fd3b81b95f, max_idle_ns: 440795257325 ns
[    0.640107] clocksource: Switched to clocksource tsc
[    0.640670] Initialise system trusted keyrings
[    0.640712] workingset: timestamp_bits=40 max_order=21 bucket_order=0
[    0.641866] zbud: loaded
[    0.642175] pstore: using deflate compression
[    0.947177] Key type asymmetric registered
[    0.947178] Asymmetric key parser 'x509' registered
[    0.947217] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 248)
[    0.947241] io scheduler noop registered
[    0.947241] io scheduler deadline registered
[    0.947283] io scheduler cfq registered (default)
[    0.947284] io scheduler mq-deadline registered
[    0.948028] pcieport 0000:00:1c.0: AER enabled with IRQ 122
[    0.948050] pcieport 0000:00:1c.5: AER enabled with IRQ 123
[    0.948071] pcieport 0000:00:1c.6: AER enabled with IRQ 124
[    0.948102] efifb: probing for efifb
[    0.948116] efifb: framebuffer at 0xc0000000, using 1920k, total 1920k
[    0.948118] efifb: mode is 800x600x32, linelength=3200, pages=1
[    0.948118] efifb: scrolling: redraw
[    0.948120] efifb: Truecolor: size=8:8:8:8, shift=24:16:8:0
[    0.949201] Console: switching to colour frame buffer device 100x37
[    0.950175] fb0: EFI VGA frame buffer device
[    0.950183] intel_idle: MWAIT substates: 0x11142120
[    0.950184] intel_idle: v0.4.1 model 0x8E
[    0.950284] intel_idle: lapic_timer_reliable_states 0xffffffff
[    0.950696] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.971594] 00:01: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    0.992583] serial8250: ttyS1 at I/O 0x2f8 (irq = 3, base_baud = 115200) is a 16550A
[    0.993023] Linux agpgart interface v0.103
[    0.993064] AMD IOMMUv2 driver by Joerg Roedel <jroedel@suse.de>
[    0.993064] AMD IOMMUv2 functionality not available on this system
[    0.993249] i8042: PNP: No PS/2 controller found.
[    0.993250] i8042: Probing ports directly.
[    2.077371] i8042: No controller found
[    2.077523] mousedev: PS/2 mouse device common for all mice
[    2.077557] rtc_cmos 00:03: RTC can wake from S4
[    2.078004] rtc_cmos 00:03: registered as rtc0
[    2.078018] rtc_cmos 00:03: alarms up to one month, y3k, 242 bytes nvram, hpet irqs
[    2.078026] intel_pstate: Intel P-state driver initializing
[    2.078143] intel_pstate: HWP enabled
[    2.078155] ledtrig-cpu: registered to indicate activity on CPUs
[    2.078652] NET: Registered protocol family 10
[    2.081465] Segment Routing with IPv6
[    2.081491] mip6: Mobile IPv6
[    2.081493] NET: Registered protocol family 17
[    2.081497] mpls_gso: MPLS GSO support
[    2.081639] microcode: sig=0x806e9, pf=0x80, revision=0x84
[    2.081676] microcode: Microcode Update Driver: v2.2.
[    2.081685] sched_clock: Marking stable (2081672141, 0)->(2060808699, 20863442)
[    2.081831] registered taskstats version 1
[    2.081832] Loading compiled-in X.509 certificates
[    2.081845] zswap: loaded using pool lzo/zbud
[    2.081905] AppArmor: AppArmor sha1 policy hashing enabled
[    2.083020] rtc_cmos 00:03: setting system clock to 2018-10-03 11:40:37 UTC (1538566837)
[    2.501169] Freeing unused kernel memory: 1552K
[    2.516100] Write protecting the kernel read-only data: 16384k
[    2.517682] Freeing unused kernel memory: 2024K
[    2.519278] Freeing unused kernel memory: 896K
[    2.526294] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[    2.526294] x86/mm: Checking user space page tables
[    2.533185] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[    2.546613] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    2.546694] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    2.546703] random: systemd-udevd: uninitialized urandom read (16 bytes read)
[    2.614704] dca service started, version 1.12.1
[    2.618737] thermal LNXTHERM:00: registered as thermal_zone0
[    2.618738] ACPI: Thermal Zone [TZ00] (28 C)
[    2.618882] thermal LNXTHERM:01: registered as thermal_zone1
[    2.618883] ACPI: Thermal Zone [TZ01] (30 C)
[    2.621165] igb: Intel(R) Gigabit Ethernet Network Driver - version 5.4.0-k
[    2.621166] igb: Copyright (c) 2007-2014 Intel Corporation.
[    2.624041] i801_smbus 0000:00:1f.4: SPD Write Disable is set
[    2.624080] i801_smbus 0000:00:1f.4: SMBus using PCI interrupt
[    2.624970] SCSI subsystem initialized
[    2.656661] ACPI: bus type USB registered
[    2.656681] usbcore: registered new interface driver usbfs
[    2.656688] usbcore: registered new interface driver hub
[    2.656708] usbcore: registered new device driver usb
[    2.661060] libata version 3.00 loaded.
[    2.663574] ahci 0000:00:17.0: version 3.0
[    2.663926] ahci 0000:00:17.0: AHCI 0001.0301 32 slots 2 ports 6 Gbps 0x6 impl SATA mode
[    2.663929] ahci 0000:00:17.0: flags: 64bit ncq pm led clo only pio slum part deso sadm sds apst 
[    2.664090] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    2.664097] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    2.665258] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x0000000000109810
[    2.665264] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[    2.665515] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 4.18
[    2.665517] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.665518] usb usb1: Product: xHCI Host Controller
[    2.665520] usb usb1: Manufacturer: Linux 4.18.0-rc3 xhci-hcd
[    2.665521] usb usb1: SerialNumber: 0000:00:14.0
[    2.665632] hub 1-0:1.0: USB hub found
[    2.665648] hub 1-0:1.0: 12 ports detected
[    2.666149] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    2.666153] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    2.666156] xhci_hcd 0000:00:14.0: Host supports USB 3.0  SuperSpeed
[    2.666200] scsi host0: ahci
[    2.666320] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003, bcdDevice= 4.18
[    2.666321] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.666322] usb usb2: Product: xHCI Host Controller
[    2.666324] usb usb2: Manufacturer: Linux 4.18.0-rc3 xhci-hcd
[    2.666325] usb usb2: SerialNumber: 0000:00:14.0
[    2.666419] hub 2-0:1.0: USB hub found
[    2.666431] hub 2-0:1.0: 6 ports detected
[    2.666939] scsi host1: ahci
[    2.667052] scsi host2: ahci
[    2.667106] ata1: DUMMY
[    2.667108] ata2: SATA max UDMA/133 abar m2048@0xdf72d000 port 0xdf72d180 irq 125
[    2.667110] ata3: SATA max UDMA/133 abar m2048@0xdf72d000 port 0xdf72d200 irq 125
[    2.970535] pps pps0: new PPS source ptp0
[    2.970541] igb 0000:01:00.0: added PHC on eth0
[    2.970544] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Network Connection
[    2.970548] igb 0000:01:00.0: eth0: (PCIe:2.5Gb/s:Width x1) 00:07:32:52:16:69
[    2.970599] igb 0000:01:00.0: eth0: PBA No: 000300-000
[    2.970603] igb 0000:01:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[    2.983670] ata2: SATA link down (SStatus 4 SControl 300)
[    2.983706] ata3: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
[    2.985447] 
               3ACPI BIOS Error (bug): Could not resolve [\_SB.PCI0.SAT0.PRT2._GTF.DSSP], AE_NOT_FOUND (20180531/psargs-330)
[    2.985460] ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.PRT2._GTF, AE_NOT_FOUND (20180531/psparse-516)
[    2.985608] ata3.00: supports DRM functions and may not be fully accessible
[    2.986544] ata3.00: disabling queued TRIM support
[    2.986549] ata3.00: ATA-9: Samsung SSD 850 EVO M.2 250GB, EMT21B6Q, max UDMA/133
[    2.986552] ata3.00: 488397168 sectors, multi 1: LBA48 NCQ (depth 32), AA
[    2.988881] 
               3ACPI BIOS Error (bug): Could not resolve [\_SB.PCI0.SAT0.PRT2._GTF.DSSP], AE_NOT_FOUND (20180531/psargs-330)
[    2.988894] ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.PRT2._GTF, AE_NOT_FOUND (20180531/psparse-516)
[    2.989036] ata3.00: supports DRM functions and may not be fully accessible
[    2.989874] ata3.00: disabling queued TRIM support
[    2.991703] ata3.00: configured for UDMA/133
[    3.000088] usb 1-1: new low-speed USB device number 2 using xhci_hcd
[    3.001832] ahci 0000:00:17.0: port does not support device sleep
[    3.002237] scsi 2:0:0:0: Direct-Access     ATA      Samsung SSD 850  1B6Q PQ: 0 ANSI: 5
[    3.007435] sd 2:0:0:0: [sda] 488397168 512-byte logical blocks: (250 GB/233 GiB)
[    3.007447] sd 2:0:0:0: [sda] Write Protect is off
[    3.007451] sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    3.007465] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    3.010060]  sda: sda1 sda2 sda3 sda4 sda5
[    3.011308] sd 2:0:0:0: [sda] supports TCG Opal
[    3.011312] sd 2:0:0:0: [sda] Attached SCSI disk
[    3.154705] usb 1-1: New USB device found, idVendor=413c, idProduct=2107, bcdDevice= 1.15
[    3.154710] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    3.154713] usb 1-1: Product: Dell USB Entry Keyboard
[    3.154717] usb 1-1: Manufacturer: Dell
[    3.160551] hidraw: raw HID events driver (C) Jiri Kosina
[    3.166681] usbcore: registered new interface driver usbhid
[    3.166683] usbhid: USB HID core driver
[    3.168190] input: Dell Dell USB Entry Keyboard as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.0/0003:413C:2107.0001/input/input0
[    3.228308] hid-generic 0003:413C:2107.0001: input,hidraw0: USB HID v1.10 Keyboard [Dell Dell USB Entry Keyboard] on usb-0000:00:14.0-1/input0
[    3.280091] usb 1-2: new low-speed USB device number 3 using xhci_hcd
[    3.318551] pps pps1: new PPS source ptp1
[    3.318557] igb 0000:02:00.0: added PHC on eth1
[    3.318560] igb 0000:02:00.0: Intel(R) Gigabit Ethernet Network Connection
[    3.318564] igb 0000:02:00.0: eth1: (PCIe:2.5Gb/s:Width x1) 00:07:32:52:16:6a
[    3.318616] igb 0000:02:00.0: eth1: PBA No: 000300-000
[    3.318619] igb 0000:02:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[    3.432110] usb 1-2: New USB device found, idVendor=413c, idProduct=301a, bcdDevice= 1.00
[    3.432115] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    3.432118] usb 1-2: Product: Dell MS116 USB Optical Mouse
[    3.432121] usb 1-2: Manufacturer: PixArt
[    3.434698] input: PixArt Dell MS116 USB Optical Mouse as /devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.0/0003:413C:301A.0002/input/input1
[    3.434928] hid-generic 0003:413C:301A.0002: input,hidraw1: USB HID v1.11 Mouse [PixArt Dell MS116 USB Optical Mouse] on usb-0000:00:14.0-2/input0
[    3.548890] pps pps2: new PPS source ptp2
[    3.548895] igb 0000:03:00.0: added PHC on eth2
[    3.548898] igb 0000:03:00.0: Intel(R) Gigabit Ethernet Network Connection
[    3.548902] igb 0000:03:00.0: eth2: (PCIe:2.5Gb/s:Width x1) 00:07:32:52:16:6b
[    3.548906] igb 0000:03:00.0: eth2: PBA No: FFFFFF-0FF
[    3.548909] igb 0000:03:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[    3.550580] igb 0000:02:00.0 enp2s0: renamed from eth1
[    3.564723] igb 0000:01:00.0 enp1s0: renamed from eth0
[    3.604940] igb 0000:03:00.0 enp3s0: renamed from eth2
[    3.686057] PM: Image not found (code -22)
[    3.770781] EXT4-fs (sda2): mounted filesystem with ordered data mode. Opts: (null)
[    3.771725] random: fast init done
[    3.830949] systemd[1]: Failed to insert module 'autofs4': No such file or directory
[    3.866239] systemd[1]: systemd 232 running in system mode. (+PAM +AUDIT +SELINUX +IMA +APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN)
[    3.884195] systemd[1]: Detected architecture x86-64.
[    3.884347] systemd[1]: Set hostname to <eureka>.
[    3.929001] systemd[1]: Created slice System Slice.
[    3.929094] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[    3.929143] systemd[1]: Listening on Journal Socket (/dev/log).
[    3.929210] systemd[1]: Listening on Journal Audit Socket.
[    3.929317] systemd[1]: Created slice system-getty.slice.
[    3.929332] systemd[1]: Reached target Remote File Systems.
[    3.929811] systemd[1]: Mounting Huge Pages File System...
[    3.938221] EXT4-fs (sda2): re-mounted. Opts: errors=remount-ro
[    4.072373] systemd-journald[180]: Received request to flush runtime journal from PID 1
[    4.127736] input: Sleep Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2
[    4.127745] ACPI: Sleep Button [SLPB]
[    4.127788] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input3
[    4.127795] ACPI: Power Button [PWRB]
[    4.127831] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
[    4.127840] ACPI: Power Button [PWRF]
[    4.278729] mei_me 0000:00:16.0: enabling device (0004 -> 0006)
[    4.299382] sd 2:0:0:0: Attached scsi generic sg0 type 0
[    4.341792] Adding 8294396k swap on /dev/sda5.  Priority:-2 extents:1 across:8294396k SSFS
[    4.366523] intel-lpss 0000:00:1e.0: enabling device (0000 -> 0002)
[    4.381637] idma64 idma64.0: Found Intel integrated DMA 64-bit
[    4.381795] dw-apb-uart.0: ttyS2 at MMIO 0xdf72c000 (irq = 20, base_baud = 115200) is a 16550A
[    4.382638] intel-lpss 0000:00:1e.2: enabling device (0000 -> 0002)
[    4.382908] idma64 idma64.1: Found Intel integrated DMA 64-bit
[    4.396209] iTCO_vendor_support: vendor-support=0
[    4.396618] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[    4.396675] iTCO_wdt: Found a Intel PCH TCO device (Version=4, TCOBASE=0x0400)
[    4.398560] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[    4.399906] EFI Variables Facility v0.08 2004-May-17
[    4.403038] input: PC Speaker as /devices/platform/pcspkr/input/input5
[    4.415072] Error: Driver 'pcspkr' is already registered, aborting...
[    4.468849] pstore: Registered efi as persistent store backend
[    4.478888] RAPL PMU: API unit is 2^-32 Joules, 5 fixed counters, 655360 ms ovfl timer
[    4.478890] RAPL PMU: hw unit of domain pp0-core 2^-14 Joules
[    4.478890] RAPL PMU: hw unit of domain package 2^-14 Joules
[    4.478891] RAPL PMU: hw unit of domain dram 2^-14 Joules
[    4.478892] RAPL PMU: hw unit of domain pp1-gpu 2^-14 Joules
[    4.478892] RAPL PMU: hw unit of domain psys 2^-14 Joules
[    4.484634] snd_hda_intel 0000:00:1f.3: enabling device (0000 -> 0002)
[    4.486684] cryptd: max_cpu_qlen set to 1000
[    4.493654] checking generic (c0000000 1e0000) vs hw (c0000000 10000000)
[    4.493656] fb: switching to inteldrmfb from EFI VGA
[    4.493681] Console: switching to colour dummy device 80x25
[    4.493763] [drm] Replacing VGA console driver
[    4.499561] SSE version of gcm_enc/dec engaged.
[    4.504998] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    4.504999] [drm] Driver supports precise vblank timestamp query.
[    4.505372] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    4.506804] [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_04.bin (v1.4)
[    4.601874] EXT4-fs (sda4): mounted filesystem with ordered data mode. Opts: (null)
[    4.684803] alg: No test for pcbc(aes) (pcbc-aes-aesni)
[    4.755852] intel_rapl: Found RAPL domain package
[    4.755854] intel_rapl: Found RAPL domain core
[    4.755855] intel_rapl: Found RAPL domain uncore
[    4.755856] intel_rapl: Found RAPL domain dram
[    4.836750] [drm] failed to retrieve link info, disabling eDP
[    4.853514] [drm] Initialized i915 1.6.0 20180921 for 0000:00:02.0 on minor 0
[    4.858657] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    4.859020] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input6
[    4.859199] snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[    4.884589] fbcon: inteldrmfb (fb0) is primary device
[    4.905441] [drm] Reducing the compressed framebuffer size. This may lead to less power savings than a non-reduced-size. Try to increase stolen memory size if available in BIOS.
[    4.922330] Console: switching to colour frame buffer device 480x135
[    4.954921] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    5.126020] random: crng init done
[    5.126021] random: 7 urandom warning(s) missed due to ratelimiting
[    5.208311] IPv6: ADDRCONF(NETDEV_UP): enp1s0: link is not ready
[    5.235172] IPv6: ADDRCONF(NETDEV_UP): enp1s0: link is not ready
[    5.251218] IPv6: ADDRCONF(NETDEV_UP): enp2s0: link is not ready
[    5.275810] IPv6: ADDRCONF(NETDEV_UP): enp2s0: link is not ready
[    5.287073] IPv6: ADDRCONF(NETDEV_UP): enp3s0: link is not ready
[    5.315514] IPv6: ADDRCONF(NETDEV_UP): enp3s0: link is not ready
[    6.013949] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC887-VD: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:line
[    6.013952] snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=1 (0x15/0x0/0x0/0x0/0x0)
[    6.013953] snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x1b/0x0/0x0/0x0/0x0)
[    6.013955] snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
[    6.013956] snd_hda_codec_realtek hdaudioC0D0:    inputs:
[    6.013957] snd_hda_codec_realtek hdaudioC0D0:      Front Mic=0x19
[    6.013959] snd_hda_codec_realtek hdaudioC0D0:      Rear Mic=0x18
[    6.033512] input: HDA Intel PCH Front Mic as /devices/pci0000:00/0000:00:1f.3/sound/card0/input7
[    6.033604] input: HDA Intel PCH Rear Mic as /devices/pci0000:00/0000:00:1f.3/sound/card0/input8
[    6.033662] input: HDA Intel PCH Line Out as /devices/pci0000:00/0000:00:1f.3/sound/card0/input9
[    6.033717] input: HDA Intel PCH Front Headphone as /devices/pci0000:00/0000:00:1f.3/sound/card0/input10
[    6.033793] input: HDA Intel PCH HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input11
[    6.033848] input: HDA Intel PCH HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input12
[    6.033902] input: HDA Intel PCH HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input13
[    6.033956] input: HDA Intel PCH HDMI/DP,pcm=9 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input14
[    6.034009] input: HDA Intel PCH HDMI/DP,pcm=10 as /devices/pci0000:00/0000:00:1f.3/sound/card0/input15
[    8.340709] igb 0000:03:00.0 enp3s0: igb: enp3s0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
[    8.448443] IPv6: ADDRCONF(NETDEV_CHANGE): enp3s0: link becomes ready
[72097.353796] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[72150.806852] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Comment 38 phil.smith 2018-10-04 08:32:46 UTC
I expect to get the results of testing disabling memory c-states early next week.

note: sorry for posting the dmesg output inline, I only saw the attach file button as I clicked submit.
Comment 39 phil.smith 2018-10-04 08:34:45 UTC
I am rerunning comment #37 with drm.debug=0xe now.
Comment 40 phil.smith 2018-10-04 08:53:54 UTC
Created attachment 141888 [details]
dmesg output following a failure using the 4.18 drm-intel kernel and i915_ipc_status = 0 (set manually following boot).

Our test engineer reproduced the issue by half pulling out the DisplayPort cable and wiggling it.
Comment 41 phil.smith 2018-10-05 14:48:15 UTC
Created attachment 141914 [details]
dmesg output following testing with i915_pri_wm_latency set as advised.

dmesg output following testing using the 4.18 drm-intel kernel, i915_ipc_status = 0 (set manually following boot) and i915_pri_wm_latency set manually as advised above.

Our test engineer was unable to permanently invoke the error. Whilst weston appeared to crash at least once with screen corruption it recovered following a DisplayPort unplug/replug.
Comment 42 Mahesh Kumar 2018-10-09 11:02:18 UTC
Created attachment 141958 [details]
Increase WM by 20% for 4K display

Hi,
Please try with attached patch, This info is not yet documented in Spec and need further confirmation from HW team.
WA is for 4K (high bandwidth/resolution display). We need to increase WM by 20% for high resolution display.
Comment 43 Mahesh Kumar 2018-10-17 04:47:16 UTC
Did you get a chance to try with patch in Comment #42, Does it help with the issue?
Comment 44 phil.smith 2018-10-17 08:34:26 UTC
Yes, we are currently running a few long term soak tests to see if we observe a crash when the DisplayPort is not being actively manipulated.
Comment 45 Lakshmi 2018-10-29 16:05:20 UTC
Phil, any updates here?
Comment 46 phil.smith 2018-10-30 09:13:54 UTC
The long-term soaks we have running are encouraging with none having been able to reproduce the failure. We can still get weston to crash when wiggling the DisplayPort connector in and out but this seems to be a different error.
Comment 47 Anshuman Gupta 2018-10-30 11:50:12 UTC
Hi Phil,

Can you please upload the dmesg logs in order to check whether these errors are related to the attached patch.
Comment 48 Jack Vickeridge 2018-11-02 09:52:20 UTC
Thank you.

Sorry for the delay, we're trying not to interrupt our soak test. We should have something for you in a couple of days.

Jack (Phil's colleague)
Comment 49 Lakshmi 2018-11-15 11:07:48 UTC
Jack/Phil, is this issue still blocking you.
Comment 50 phil.smith 2018-11-22 09:29:46 UTC
> Jack/Phil, is this issue still blocking you.

Lakshmi, no. With the fix applied things look much better. With aggressive testing we can still get Weston to crash (not hang) but it appears to be a different issue. However, we still intend to upload logs of the (new) crash as per your request now that the long term soak tests are drawing to a close.
Comment 51 Lakshmi 2018-11-22 09:42:14 UTC
(In reply to phil.smith from comment #50)
> > Jack/Phil, is this issue still blocking you.
> 
> Lakshmi, no. With the fix applied things look much better. With aggressive
> testing we can still get Weston to crash (not hang) but it appears to be a
> different issue. However, we still intend to upload logs of the (new) crash
> as per your request now that the long term soak tests are drawing to a close.

I can set the priority to high as this issue is not a blocker. You can attach the log where you see crash. How often you see the crash?
Comment 52 phil.smith 2018-11-22 09:47:17 UTC
> How often you see the crash?

With the fix in place, we have not observed it fail during stead-state operation. However, if we "aggressively" wiggle the DisplayPort cable between in and out we can reliably get Weston to crash within 30 seconds.
Comment 53 Anshuman Gupta 2018-11-26 16:33:29 UTC
(In reply to phil.smith from comment #52)
> > How often you see the crash?
> 
> With the fix in place, we have not observed it fail during stead-state
> operation. However, if we "aggressively" wiggle the DisplayPort cable
> between in and out we can reliably get Weston to crash within 30 seconds.

Hi Phil,

Could you please upload the dmesg error logs with fix and with module parameter drm.debug=0xe. 

If the crash is due to a different issue then we will considered it as a different bug.

Thanks,
Anshuman Gupta
Comment 54 Jack Vickeridge 2018-12-04 16:22:13 UTC
Created attachment 142722 [details]
Dmesg output with debug after latest patch applied

OK, we replicated the crash with the kernel Phil compiled with the latest patch supplied above. Attached is the dmesg output with debugging enabled. Let us know what you think.

I think that's right, but please let me know if there's anything I missed out?
Comment 55 Anshuman Gupta 2018-12-05 12:09:24 UTC
(In reply to Jack Vickeridge from comment #54)
> Created attachment 142722 [details]
> Dmesg output with debug after latest patch applied
> 
> OK, we replicated the crash with the kernel Phil compiled with the latest
> patch supplied above. Attached is the dmesg output with debugging enabled.
> Let us know what you think.
> 
> I think that's right, but please let me know if there's anything I missed
> out?

Hi Jack,

From the initial lookup of dmesg logs, I not able to find any error which can lead weston to crash,  can you please upload the weston crash log too, in order to identify which call in weston getting crashed and what was the display configuration (i.e. number and type of display).

Thanks,
Anshuman Gupta.
Comment 56 Jani Saarinen 2018-12-07 08:14:11 UTC
Hi,
This series now merged to drm-tip: https://patchwork.freedesktop.org/series/51878/ are you able to see issue with drm-tip now?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.